# Schedule Event POST https://api.meetstream.ai/api/v1/calendar/schedule/{event_id} Reference: https://docs.meetstream.ai/api-reference/ap-is/calendar/schedule-event ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: Meetstream API version: 1.0.0 paths: /api/v1/calendar/schedule/{event_id}: post: operationId: schedule-event summary: Schedule Event tags: - subpackage_calendar parameters: - name: event_id in: path required: true schema: type: string - name: Authorization in: header description: 'Format: Token ' required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/ScheduleEventResponse' servers: - url: https://api.meetstream.ai components: schemas: ScheduleEventResponseBotConfig: type: object properties: bot_name: type: string bot_message: type: string bot_image_url: type: string audio_required: type: boolean video_required: type: boolean callback_url: type: string meeting_url: type: string join_at: type: string deduplication_key: type: string automatic_leave: type: object additionalProperties: description: Any type recording_config: type: object additionalProperties: description: Any type custom_attributes: type: object additionalProperties: description: Any type live_audio_required: type: object additionalProperties: description: Any type live_transcription_required: type: object additionalProperties: description: Any type title: ScheduleEventResponseBotConfig ScheduleEventResponse: type: object properties: scheduled: type: boolean schedule_id: type: string bot_id: type: string schedule_group: type: string event_id: type: string scheduled_time: type: string existing_schedules: type: integer occurrence_date: type: - string - 'null' is_recurring_occurrence: type: boolean bot_config: $ref: '#/components/schemas/ScheduleEventResponseBotConfig' title: ScheduleEventResponse securitySchemes: TokenAuth: type: apiKey in: header name: Authorization description: 'Format: Token ' ``` ## SDK Code Examples ```python import requests url = "https://api.meetstream.ai/api/v1/calendar/schedule/event_id" headers = {"Authorization": ""} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.meetstream.ai/api/v1/calendar/schedule/event_id'; const options = {method: 'POST', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.meetstream.ai/api/v1/calendar/schedule/event_id" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.meetstream.ai/api/v1/calendar/schedule/event_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.meetstream.ai/api/v1/calendar/schedule/event_id") .header("Authorization", "") .asString(); ``` ```php request('POST', 'https://api.meetstream.ai/api/v1/calendar/schedule/event_id', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.meetstream.ai/api/v1/calendar/schedule/event_id"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/calendar/schedule/event_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```